1

since my version of R is not compatible with a package I need for my work I wanted to update it today but received the following error message when trying to download the updates with synaptic:

W: Failed to fetch http://ftp.yalwa.org/cran/bin/linux/debian/squeeze-cran/r-base-core_2.15.0-1~squeezecran.0_amd64.deb Could not resolve 'ftp.yalwa.org'

W: Failed to fetch http://ftp.yalwa.org/cran/bin/linux/debian/squeeze-cran/r-cran-boot_1.3-4-1~squeezecran.2.15.0_all.deb Could not resolve 'ftp.yalwa.org'

... and several other messages all pointing towards yalwa.org , can't post them due to spam prevention

well the given urls seem to be outdated, how can I fix this?

1

You have to modify the content of /etc/apt/sources.list.

I don't know anything about ftp.yalwa.org, so I can't recommend you remove these lines from the file. However you should add the proper CRAN mirrors.

From this page:

For a backport of the latest R release to squeeze, simply add something like

deb http://<favorite-cran-mirror>/bin/linux/debian squeeze-cran/

to the file /etc/apt/sources.list on your computer and install as usual. Note that you need to substitute <favorite-cran-mirror> by one of the mirror URLs listed in

http://cran.r-project.org/mirrors.html

The instructions mention Squeeze (the current stable release of Debian), but it should (I think) work with any version of Synaptic you're using.

Possible Exception

Maybe you're not running your version of (I'm assuming) Linux on a PC/laptop/x86 architecture. The repositories only contain binaries for this platform. If you're running something else (like ARM or SPARC), you should compile the binaries yourself from source.

There are binaries for the i386 and amd64 architectures. You can use the source packages from

deb-src http://<favorite-cran-mirror>/bin/linux/debian squeeze-cran/

to compile binaries for other platforms.

Once you update /etc/apt/sources.list/ Run the following:

apt-get update && apt-get upgrade
|improve this answer|||||
  • nice answer, not only solved the problem but also told me how to edit the sourcelist - thx for it – deemel Jan 16 '13 at 9:44
0

Go to the CRAN web site, there you'll find instructions on pointing apt-get at a CRAN mirror to get the latest. Here is the debian page

|improve this answer|||||

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.